<?php
if(is_file(H."sys/comm/obmen/screens/128/$file_id[id].$ras")){

if(isset($user) && $user['set_show_icon']==1){
	echo '<img src="/sys/comm/obmen/screens/128/'.$file_id['id'].'.'.$ras.'" alt="Скрин..."/><br/>';
	}

}else if(function_exists('imagecreatefromstring')){
	$imgc=imagecreatefromstring(file_get_contents($file));
	$img_x=imagesx($imgc);
	$img_y=imagesy($imgc);

if($img_x==$img_y){
	$dstW=128; // ширина
	$dstH=128; // высота
	}else if($img_x>$img_y){
		$prop=$img_x/$img_y;
		$dstW=128;
		$dstH=ceil($dstW/$prop);
		}else{
			$prop=$img_y/$img_x;
			$dstH=128;
			$dstW=ceil($dstH/$prop);
			}

$screen=imagecreatetruecolor($dstW, $dstH);
$black = imagecolorallocate ($screen, 0, 0, 0);
imagecolortransparent($screen,$black);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
$screen=img_copyright($screen);
imagepng($screen,H."sys/comm/obmen/screens/128/$file_id[id].$ras");
imagedestroy($screen);

if(isset($user) && $user['set_show_icon']==1){
	echo '<img src="/sys/comm/obmen/screens/128/'.$file_id['id'].'.'.$ras.'" alt="Скрин..."/><br/>';
	}
	}

if($file_id['opis']!=NULL){
	echo '<b>Описание</b>: '.trim(br(links($file_id['opis']))).'<br/>';
	}

if(function_exists('getimagesize')){
	$img_size=getimagesize($file);
	echo '<b>Разрешение</b>: '.$img_size[0].'*'.$img_size[1].' пикс.<br/>';
	}

echo '<b>Добавлен</b>: '.vremja($file_id['time']).'<br/>';
echo '<b>Размер</b>: '.size_file($size).'<br/>';
?>